Index: /code/branches/presentation2/src/orxonox/pickup/PickupInventory.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/pickup/PickupInventory.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/pickup/PickupInventory.cc	(revision 6394)
@@ -196,5 +196,5 @@
             return "";
 
-        std::string name = "pickup_" + item->getGUIImage();
+        const std::string& name = "pickup_" + item->getGUIImage();
 
         if(!CEGUI::ImagesetManager::getSingletonPtr()->isImagesetPresent(name))
@@ -203,5 +203,5 @@
         }
 
-        return "set:" + name + " image:full_image";
+        return ("set:" + name + " image:full_image");
     }
 
@@ -332,7 +332,7 @@
         txt->setVisible(true);
         txt->setProperty("Text", item->getGUIText());
-        txt->setProperty("TextColours", "tl:" + textColour + " tr:" + textColour + " bl:" + textColour + " br:" + textColour + "");
-
-        std::string image = PickupInventory::getImageForItem(item);
+        txt->setProperty("TextColours", "tl:" + textColour + " tr:" + textColour + " bl:" + textColour + " br:" + textColour);
+
+        const std::string& image = PickupInventory::getImageForItem(item);
         btn->setVisible(true);
         btn->setProperty("NormalImage", image);
Index: /code/branches/presentation2/src/orxonox/sound/AmbientSound.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6394)
@@ -113,5 +113,5 @@
         if (GameMode::playsSound())
         {
-            std::string path = "ambient/" + MoodManager::getInstance().getMood() + "/" + source;
+            const std::string& path = "ambient/" + MoodManager::getInstance().getMood() + '/' + source;
             shared_ptr<ResourceInfo> fileInfo = Resource::getInfo(path);
             if (fileInfo != NULL)
Index: /code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc	(revision 6394)
@@ -57,5 +57,5 @@
         DataStreamPtr dataStream = Resource::open(fileInfo);
 
-        std::string extension(this->filename_.substr(this->filename_.find_last_of('.') + 1));
+        const std::string& extension = this->filename_.substr(this->filename_.find_last_of('.') + 1);
         if (getLowercase(extension) == "ogg")
         {
Index: /code/branches/presentation2/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6394)
@@ -92,5 +92,5 @@
         {
             this->deviceNames_.push_back(devices);
-            COUT(4) << "\"" << devices << "\", ";
+            COUT(4) << '"' << devices << "\", ";
             devices += strlen(devices) + 1;
             if (*devices == '\0')
@@ -100,5 +100,5 @@
 
         // Open the selected device
-        COUT(3) << "Sound: Opening device \"" << renderDevice << "\"" << std::endl;
+        COUT(3) << "Sound: Opening device \"" << renderDevice << '\' << std::endl;
         this->device_ = alcOpenDevice(renderDevice.c_str());
 */
Index: /code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6394)
@@ -30,5 +30,4 @@
 #include "WeaponMode.h"
 
-#include "util/StringUtils.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6394)
@@ -333,5 +333,5 @@
             this->camera_ = new Camera(this);
             this->camera_->requestFocus();
-            if (this->cameraPositionTemplate_ != "")
+            if (!this->cameraPositionTemplate_.empty())
                 this->addTemplate(this->cameraPositionTemplate_);
             if (this->cameraPositions_.size() > 0)
@@ -349,5 +349,5 @@
         if (!this->hud_ && GameMode::showsGraphics())
         {
-            if (this->hudtemplate_ != "")
+            if (!this->hudtemplate_.empty())
             {
                 this->hud_ = new OverlayGroup(this);
Index: /code/branches/presentation2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/worldentities/WorldEntity.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/worldentities/WorldEntity.cc	(revision 6394)
@@ -814,5 +814,5 @@
     void WorldEntity::setCollisionTypeStr(const std::string& typeStr)
     {
-        std::string typeStrLower = getLowercase(typeStr);
+        const std::string& typeStrLower = getLowercase(typeStr);
         CollisionType type;
         if (typeStrLower == "dynamic")
Index: /code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6394)
@@ -199,5 +199,5 @@
     {
         // play spawn effect
-        if (this->spawnparticlesource_ != "")
+        if (!this->spawnparticlesource_.empty())
         {
             ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
Index: /code/branches/presentation2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 6394)
@@ -187,5 +187,5 @@
     void SpaceShip::loadEngineTemplate()
     {
-        if (this->enginetemplate_ != "")
+        if (!this->enginetemplate_.empty())
         {
             Template* temp = Template::getTemplate(this->enginetemplate_);
